Subject: Re: Transputers...

From: Dave Stampe-Psy+Eng <[email-masked]>
Date: Wed, 23 Oct 91 23:22:02 -0400

> From [email-masked] Wed Oct 23 21:13:53 1991
> From: [email-masked] (Dave Newton)
> Subject: Re: Transputers...
> To: [email-masked]
> 
> In a previous message, Dave Stampe-Psy+Eng said:
> > Actually, VPL is just sending world database updates by Ethernet, which
> > is OK.  But we're talking about sending rendered pixels to the video board,
> > which, for a 500x500x24 bit picture, needs 6 Mbits/sec times the frame rate!
> > Can the video board handle this data rate???  If ypu use 4 transputers, can
> > they SEND this rate???  For our purposes, I think the world database
> > could reside on one transputer, which does preliminary clipping and
> > sends polygon and attribute lists to the other transputers.  IF the
> > video board can handle the input speed, this idea will work.  But not
> > if you have to design a custom video buffer... Or, how about using
> > 4 video boards, genlocking them, and switching between them as their 
> > video segments occur???
> 
>    Each set of transputers that is doing rendering would have a copy of
> the world in it, so theoretically all it would have to do is blob-move
> that memory into whatever yo uwere using for output.  If I'm going the
> cheap eye-phone route, I'll probably not have 500x500x24 in the near
> future.
> 
> 

Why???  A fair amount of the work involved in the preprocessing of the
world database (especially if you're using an object-oriented tree
or a BSP algorithm would then have to be done on each processor...
needless repetition, with little load involved in the transfer from
the central world-list handler you'd need.  

And the data rate to the central video board is STILL too high...
320x200x8 bit video, 20 frames/sec is 11 Mbit/sec, with no margin
for peak loads, repetitive writes to any pixel, etc.  Unless you
are using a PARALLEL interface...

As you can see, it's borderline.  And for the cost of the Transputers and 
the video buffer, I'd like to get something good for my money.  Not that I believe it's impossible, but I'm working without the transfer specs, and 
prefer to err on the side of caution.  (B-{)

So... can you post the transfer specs on the video card, prices, etc.  I AM
interested, just cautious.  It would be great to be able to put together
a 10Kpoly/sec system with Gourand shading, textures, GOOD color,
stereo video (2 outputs) and 20 frames/sec for under $1500 extra...

- Dave Stampe